From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/icmake/
Date: Tue, 28 Nov 2017 04:33:01 +0000 (UTC) [thread overview]
Message-ID: <1511843487.b863ad1f0b2e99a5a883bdb013afc3068deddfdd.radhermit@gentoo> (raw)
commit: b863ad1f0b2e99a5a883bdb013afc3068deddfdd
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 28 04:23:37 2017 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Tue Nov 28 04:31:27 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b863ad1f
dev-util/icmake: version bump to 9.02.03
dev-util/icmake/Manifest | 1 +
dev-util/icmake/icmake-9.02.03.ebuild | 47 +++++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/dev-util/icmake/Manifest b/dev-util/icmake/Manifest
index 35c37c3694c..9b17bd076aa 100644
--- a/dev-util/icmake/Manifest
+++ b/dev-util/icmake/Manifest
@@ -1 +1,2 @@
DIST icmake-9.02.02.tar.gz 371881 SHA256 18f673c66c39a392218725ab063ed1cec9f0b28ce00f3896123ecccdf855834a SHA512 7d62569d21224f4584fe6901690a53fa82882e5690ef296cd0fcd770bc19503ea5a5469a7b6eebc8b6719606630e24477801c3c5752c70efdb74a6f6d30bddb9 WHIRLPOOL 20dcad5287958f640f53fff2a0c220cb0c209fb93cc4e45826d7ac4465a8aba339866bef632ce4f869ba25107f1e0e58e6d6d17093389d53ffac6fa7d32f278b
+DIST icmake-9.02.03.tar.gz 372015 BLAKE2B 95886337693405c9c4ca73a0bf787fdd7dc0d4ca0b9955455acf99d9400ea7887b689f7f6b32cb19ab0043bb2d8463cb93443c63c6bbf1dd9dced8e83f03288e SHA512 1650497c8c2b2de949da33a293761ee371b1004c43234eced7840b66d0808b551dcfd09ca6b5fb82a9438539033dfc91138c2c16c700efab24821b043e3b0f10
diff --git a/dev-util/icmake/icmake-9.02.03.ebuild b/dev-util/icmake/icmake-9.02.03.ebuild
new file mode 100644
index 00000000000..4dceb3858d7
--- /dev/null
+++ b/dev-util/icmake/icmake-9.02.03.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs flag-o-matic
+
+DESCRIPTION="Hybrid between a make utility and a shell scripting language"
+HOMEPAGE="https://fbb-git.github.io/icmake/ https://github.com/fbb-git/icmake"
+SRC_URI="https://github.com/fbb-git/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+S=${WORKDIR}/${P}/${PN}
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-9.00.00-ar.patch
+ "${FILESDIR}"/${PN}-9.02.02-verbose-build.patch
+)
+
+src_prepare() {
+ default
+
+ sed -e "/^#define LIBDIR/s/lib/$(get_libdir)/" \
+ -e "/^#define DOCDIR/s/${PN}/${PF}/" \
+ -e "/^#define DOCDOCDIR/s/${PN}-doc/${PF}/" \
+ -i INSTALL.im || die
+
+ # fix build issues (bug #589896)
+ append-cflags -std=gnu99
+
+ tc-export AR CC
+}
+
+src_configure() {
+ ./icm_prepare "${EROOT}" || die
+}
+
+src_compile() {
+ ./icm_bootstrap "${EROOT}" || die
+}
+
+src_install() {
+ ./icm_install all "${ED}" || die
+}
next reply other threads:[~2017-11-28 4:33 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-28 4:33 Tim Harder [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-03-10 1:24 [gentoo-commits] repo/gentoo:master commit in: dev-util/icmake/ Sam James
2021-03-10 1:24 Sam James
2020-01-18 3:39 Tim Harder
2020-01-18 3:39 Tim Harder
2019-12-27 20:15 Tim Harder
2019-09-28 3:11 Tim Harder
2019-09-28 3:11 Tim Harder
2018-06-30 17:34 Tim Harder
2018-06-30 17:34 Tim Harder
2018-04-08 23:00 Tim Harder
2016-07-26 1:04 Tim Harder
2015-09-17 3:09 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1511843487.b863ad1f0b2e99a5a883bdb013afc3068deddfdd.radhermit@gentoo \
--to=radhermit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox